/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mx.server;

/**
 *
 * 
 * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
 * @version $Revision: 1.3.2.1 $
 */
public interface Suspendable {
   
   void suspend();
   
   void suspend(long wait) throws TimeoutException;
   
   void suspend(boolean force);

   boolean isSuspended();
   
   void setInvocationTimeout(long time);
   
   long getInvocationTimeout();
   
   void resume();
}
